Open CASCADE Technology: VrmlData_IndexedLineSet Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
VrmlData_IndexedLineSet Class Reference

`#include <VrmlData_IndexedLineSet.hxx>`

Inheritance diagram for VrmlData_IndexedLineSet:
[legend]

## Public Member Functions
| VrmlData_IndexedLineSet ()
| VrmlData_IndexedLineSet (const VrmlData_Scene &theScene, const char *theName, const Standard_Boolean isColorPerVertex=Standard_True)
const Handle < VrmlData_Coordinate > & | Coordinates () const
void | SetCoordinates (const Handle< VrmlData_Coordinate > &theCoord)
const Handle< VrmlData_Color > & | Colors () const
void | SetColors (const Handle< VrmlData_Color > &theColors)
size_t | Polygons (const Standard_Integer **&arrPolygons) const
Standard_Integer | Polygon (const Standard_Integer iPolygon, const Standard_Integer *&outIndice)
void | SetPolygons (const Standard_Size nPolygons, const Standard_Integer **thePolygons)
size_t | ArrayColorInd (const Standard_Integer **&arrColorInd) const
Quantity_Color | GetColor (const Standard_Integer iFace, const Standard_Integer iVertex)
void | SetColorInd (const Standard_Size nIndice, const Standard_Integer **theIndice)
void | SetColorPerVertex (const Standard_Boolean isColorPerVertex)
virtual const Handle < TopoDS_TShape > & | TShape ()
virtual Handle< VrmlData_Node > | Clone (const Handle< VrmlData_Node > &theOther) const
virtual VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual VrmlData_ErrorStatus | Write (const char *thePrefix) const
virtual Standard_Boolean | IsDefault () const
Public Member Functions inherited from VrmlData_Geometry
| VrmlData_Geometry ()
| VrmlData_Geometry (const VrmlData_Scene &theScene, const char *theName)
Public Member Functions inherited from VrmlData_Node
| VrmlData_Node ()
virtual | ~VrmlData_Node ()
const VrmlData_Scene & | Scene () const
const char * | Name () const
VrmlData_ErrorStatus | ReadNode (VrmlData_InBuffer &theBuffer, Handle< VrmlData_Node > &theNode, const Handle< Standard_Type > &Type=NULL)
VrmlData_ErrorStatus | WriteClosing () const
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from VrmlData_Node
static VrmlData_ErrorStatus | ReadBoolean (VrmlData_InBuffer &theBuffer, Standard_Boolean &theResult)
static VrmlData_ErrorStatus | ReadString (VrmlData_InBuffer &theBuffer, TCollection_AsciiString &theRes)
static VrmlData_ErrorStatus | ReadMultiString (VrmlData_InBuffer &theBuffer, NCollection_List< TCollection_AsciiString > &theRes)
static VrmlData_ErrorStatus | ReadInteger (VrmlData_InBuffer &theBuffer, long &theResult)
static Standard_Boolean | OK (const VrmlData_ErrorStatus theStat)
static Standard_Boolean | OK (VrmlData_ErrorStatus &outStat, const VrmlData_ErrorStatus theStat)
static Standard_Integer | GlobalIndent ()
Protected Member Functions inherited from VrmlData_Geometry
void | SetTShape (const Handle< TopoDS_TShape > &theTShape)
void | SetModified ()
Protected Member Functions inherited from VrmlData_Node
| VrmlData_Node (const VrmlData_Scene &theScene, const char *theName)
Static Protected Member Functions inherited from VrmlData_Node
static VrmlData_ErrorStatus | readBrace (VrmlData_InBuffer &theBuffer)
Protected Attributes inherited from VrmlData_Geometry
Handle< TopoDS_TShape > | myTShape
Standard_Boolean | myIsModified

## Detailed Description

Data type to store a set of polygons.

## Constructor & Destructor Documentation

VrmlData_IndexedLineSet::VrmlData_IndexedLineSet | ( |  | ) |
| inline

Empty constructor.

VrmlData_IndexedLineSet::VrmlData_IndexedLineSet | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Boolean | isColorPerVertex = `Standard_True`
| ) |  |
| inline

Constructor.

## Member Function Documentation

size_t VrmlData_IndexedLineSet::ArrayColorInd | ( | const Standard_Integer **& | arrColorInd | ) | const
| inline

Query the array of color indice

Parameters

  arrColorInd | `[out]` array of colorIndex as it is described in VRML2.0 spec

Returns
  Number of integers in the array arrColorInd.

virtual Handle< VrmlData_Node > VrmlData_IndexedLineSet::Clone | ( | const Handle< VrmlData_Node > & | theOther | ) | const
| virtual

Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified.

Reimplemented from VrmlData_Node.

const Handle< VrmlData_Color >& VrmlData_IndexedLineSet::Colors | ( |  | ) | const
| inline

Query the Colors.

const Handle< VrmlData_Coordinate >& VrmlData_IndexedLineSet::Coordinates | ( |  | ) | const
| inline

Query the Coordinates.

Quantity_Color VrmlData_IndexedLineSet::GetColor | ( | const Standard_Integer | iFace,
|  | const Standard_Integer | iVertex
| ) |  |

Query a color for one node in the given element. The color is interpreted according to fields myColors, myArrColorInd, myColorPerVertex, as defined in VRML 2.0.

Parameters

  iFace | rank of the polygon [0 .. N-1]
  iVertex | rank of the vertex in the polygon [0 .. M-1]. This parameter is ignored if (myColorPerVertex == False)

Returns
  Color value (RGB); if the color is indefinite then returns (0., 0., 0.)

virtual Standard_Boolean VrmlData_IndexedLineSet::IsDefault | ( |  | ) | const
| virtual

Returns True if the node is default, so that it should not be written.

Reimplemented from VrmlData_Node.

Standard_Integer VrmlData_IndexedLineSet::Polygon | ( | const Standard_Integer | iPolygon,
|  | const Standard_Integer *& | outIndice
| ) |  |
| inline

Query one polygon.

Parameters

  iPolygon | rank of the polygon [0 .. N-1]
  outIndice | `[out]` array of vertex indice

Returns
  number of vertice in the polygon - the dimension of outIndice array

size_t VrmlData_IndexedLineSet::Polygons | ( | const Standard_Integer **& | arrPolygons | ) | const
| inline

Query the array of polygons

virtual VrmlData_ErrorStatus VrmlData_IndexedLineSet::Read | ( | VrmlData_InBuffer & | theBuffer | ) |
| virtual

Read the Node from input stream.

Implements VrmlData_Node.

void VrmlData_IndexedLineSet::SetColorInd | ( | const Standard_Size | nIndice,
|  | const Standard_Integer ** | theIndice
| ) |  |
| inline

Set the colors array of indice

void VrmlData_IndexedLineSet::SetColorPerVertex | ( | const Standard_Boolean | isColorPerVertex | ) |
| inline

Set the boolean value "colorPerVertex"

void VrmlData_IndexedLineSet::SetColors | ( | const Handle< VrmlData_Color > & | theColors | ) |
| inline

Set the Color node

void VrmlData_IndexedLineSet::SetCoordinates | ( | const Handle< VrmlData_Coordinate > & | theCoord | ) |
| inline

Set the nodes

void VrmlData_IndexedLineSet::SetPolygons | ( | const Standard_Size | nPolygons,
|  | const Standard_Integer ** | thePolygons
| ) |  |
| inline

Set the polygons

virtual const Handle< TopoDS_TShape >& VrmlData_IndexedLineSet::TShape | ( |  | ) |
| virtual

Query the shape. This method checks the flag myIsModified; if True it should rebuild the shape presentation.

Implements VrmlData_Geometry.

virtual VrmlData_ErrorStatus VrmlData_IndexedLineSet::Write | ( | const char * | thePrefix | ) | const
| virtual

Write the Node to output stream.

Reimplemented from VrmlData_Node.

The documentation for this class was generated from the following file:

- VrmlData_IndexedLineSet.hxx